Get all versions for a mapping
curl --request GET \
--url https://api.quiva.ai/gateway/{gateway_topic}/mapping/version \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.quiva.ai/gateway/{gateway_topic}/mapping/version"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.quiva.ai/gateway/{gateway_topic}/mapping/version', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"body": {
"results": [
{
"subject": "ms.gateway.abcdef123456.mapping-version.get.api.users.1",
"resource_type": "function",
"resource": "user-service.getUsers",
"resource_version": "latest",
"active": true,
"description": "Initial version",
"version": 1,
"modified": 1713531894,
"type": "created"
},
{
"subject": "ms.gateway.abcdef123456.mapping-version.get.api.users.2",
"resource_type": "function",
"resource": "user-service.getUsersV2",
"resource_version": "latest",
"active": true,
"description": "Improved version with better filtering",
"version": 2,
"modified": 1713532000,
"type": "created"
}
],
"results_total": 2
},
"metadata": {
"subject": "ms.gateway.abcdef123456.mapping-version.get.api.users.>"
}
}{
"error": "Invalid request parameters"
}{
"error": "The requested resource does not exist"
}Mapping Versions
Get all versions for a mapping
Retrieves all versions defined for a specific mapping.
GET
/
gateway
/
{gateway_topic}
/
mapping
/
version
Get all versions for a mapping
Authorizations
bearer_authapi_key_auth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique topic identifier of the gateway
Query Parameters
HTTP method for the mapping in uppercase
Available options:
GET, POST, PUT, DELETE, PATCH, OPTIONS, HEAD URL path for the mapping including the leading slash
⌘I